Subject: Notification: incoming/793

From: [email-masked]
Date: Wed, 10 Oct 2001 14:21:20 -0500

FVWM Bug Tracking notification

new message incoming/793

Message summary for PR#793
	From: [email-masked]
	Subject: Enh: FvwmIconMan AutoRaise
	Date: Wed, 10 Oct 2001 14:21:20 -0500
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked] Wed Oct 10 14:21:20 2001
From: [email-masked]
To: [email-masked]
Subject: Enh: FvwmIconMan AutoRaise
Date: Wed, 10 Oct 2001 14:21:20 -0500

Full_Name: Ian Warford
Version: 2.2.5
CVS_Date: 
OS: RH Linux 7.1, 2.4.2
X_Server: XFree86 Version 4.0.3
Submission from: (NULL) (209.202.112.2)

Regarding the FvwmIconMan module, it would be useful for those of us that
are addicted to AutoRaise functionality if there was the ability to raise &
warp to a window after the mouse hovers on an entry in the icon manager for
a specified number of milliseconds.

I had something like this in mind - just kind of a general auto-event after
hovering over an entry in the icon manager for a while :

FvwmIconMan*auto   trueFvwmIconMan*autodelay  1000
FvwmIconMan*autowarp  false
FvwmIconMan*autodeiconify  true
FvwmIconMan*autoraise  true

That would raise and deiconify it (if needed) after the delay, but it
wouldn't warp the mouse there.  I don't think that there's anything else
that you'd want to do to a window after hovering on it in the icon manager
- I thought of the ability to pass FvwmIconMan an Fvwm function
handle/pointer, but I don't even know if that's possible.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]